#
# spec file for package libvpd2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libvpd2
Version:        2.2.5
Release:        lp150.2.3.1
Summary:        VPD Database access library for lsvpd
License:        LGPL-2.1+
Group:          Development/Libraries/Other
Url:            http://linux-diag.sourceforge.net/Lsvpd.html
Source:         http://downloads.sourceforge.net/project/linux-diag/libvpd/%{version}/libvpd-%{version}.tar.gz
Source2:        baselibs.conf
Patch1:         libvpd2.makefile.patch
Patch3:         libvpd.async.patch
Patch4:         change-pid-file-from-var-to-run.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  sqlite3-devel
BuildRequires:  udev
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The libvpd_cxx package contains the classes that are used to access a
vpd database created by vpdupdate in the lsvpd package.

%package devel
Summary:        VPD Database access library for lsvpd
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Requires:       sqlite3-devel

%description devel
The libvpd-devel package contains development libraries and header
files that are used to access a vpd database created by vpdupdate in
the lsvpd package.

%prep
%setup -q -n libvpd-%{version}
%patch1 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -fiv
%configure \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
/%{_udevrulesdir}/90-vpdupdate.rules
%dir %{_localstatedir}/lib/lsvpd

%files devel
%defattr(-,root,root)
%doc COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Jan 17 2019 lidong.zhong@suse.com
- Change pid file from /var to /run(bsc#1121687)
  * change-pid-file-from-var-to-run.patch
* Tue Nov 24 2015 p.drouand@gmail.com
- Update to version 2.2.5 (fate#322221)
  * Fixed security issues like buffer overflow, memory allocation
    validation
  * Replaced popen with secured version
  * Improved error handling
- Update libvpd.async.patch
* Wed Aug  5 2015 mpluskal@suse.com
- Move autoreconf to build phase (avoids issues with quilt)
* Wed Sep  3 2014 jloeser@suse.com
- version update to 2.2.4 (BNC#894858)
- modified patches:
  * libvpd2.makefile.patch
* Tue May 13 2014 tchvatal@suse.com
- Version bump to 2.2.3:
  * Restrict vpdupdate triggers to device change events
- Cleanup with spec-cleaner
- Add libtool and autoconf as requirements and reconfigure the
  autofoo*
- Add download url proper for the tarball.
- Remove no longer needed patch libvpd2-gcc47.patch
* Fri Jan 17 2014 jloeser@suse.com
- version update to 2.2.2 (FATE#315460)
  minor bugfixes
  add udev rule for vpdupdate
  no upstream changelog provided
- libvpd2.makefile.patch: fix udev rules directory
- add udev and automake to BuildRequires for correct udev rules.d
  directory
* Thu Dec  6 2012 dvaleev@suse.com
- update to 2.2.0
  No upstream changelog provided
- don't run autoreconf
- remove libtool from BuildRequires
* Fri Jun  1 2012 jloeser@suse.com
- clean up spec file
* Wed Mar 21 2012 dimstar@opensuse.org
- Add libvpd2-gcc47.patch: Fix build with gcc 4.7.
* Tue Dec 20 2011 dmueller@suse.de
- spec file cleanups
* Thu Nov  3 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel build
- Remove redundant tags/sections (cf. specfile guidelines)
* Tue Nov  1 2011 dvaleev@suse.com
- update to 2.1.3
  - Rebuild rpms for ppc 32-bit.
  - add pkg-config to BuildRequires to avoid rpmlint warings
  - drop libvpd-pkg.patch and libvpd.return-value.patch
* Mon Apr 18 2011 ro@suse.de
- update baselibs.conf
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Mon Dec  8 2008 olh@suse.de
- set 'PRAGMA synchronous = OFF;' to avoid fsync for each string
  (bnc#449648)
* Fri Nov 21 2008 sassmann@suse.de
- rename package to libvpd2 because it now contains libs for
  both C and C++ (bnc#444531)
- cleanup broken SONAME (bnc#444531)
* Wed Jun 25 2008 olh@suse.de
- add baselibs.conf
- rename to libvpd_cxx2
- update to libvpd-2.0.3 (fate#304148)
  no changelog in package
* Wed Oct 24 2007 sassmann@suse.de
- fix includes to build on beta-i386, beta-x86_64
* Wed Oct 17 2007 sassmann@suse.de
- initial release of libvpd_cxx (version 1.3.5)
